Description

In this moment stock icons are not consistent. We need to add this two icons.

In the feature we will need to remove this two icons from ide images and replace it by this from CtrlLib!!!

Related issues:

Follows Feature # 945: Info stack icon for CtrlLib Rejected 12/09/2014

History

#1 - 02/20/2015 12:26 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

I am not sure I understand this.

Those two (go_back, go_forward) are in CtrlLib.iml because they are used by HelpWindow.

What is the point of adding up/down, when they are not used?

Mirek

#2 - 02/20/2015 12:41 PM - Zbigniew Rebacz

Maybe it is not used directly in CtrlLib. But nice stock icon collection is needed. Library users use this icons in there projects for example GeoFan is using

print icon, help, about etc.. So, this is motivation.

This two icons is some kind of standard (All go directions). In similar situation is info icon.

#3 - 02/20/2015 12:42 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

#4 - 02/20/2015 01:27 PM - Zbigniew Rebacz

IMO, We can create something like CtrlStockImg file (to make clear intentions) and put there all necessary icons. After that write documentation (show that

that icon exist) and make CtrlImg deprecated for users. Why deprecated? Because icon naming is broken for example sometimes it is "go_back", but it

could be also "GoBack". For me the best solution is to make "GoBack" notation for all icons.

#5 - 02/20/2015 01:44 PM - Zbigniew Rebacz

This is probably feature for next release (but after all this icon can be embedded). Think about it. This is only one element in Upp which is inconsistent.
I want to write in my app (I don't want to create my own .iml with stock icons duplications):

bar.Add(t_("Help"), CtrlImg::help(), THISBACK(Help));

But perfect It would be:

bar.Add(t_("Help"), CtrlStockImg::Help(), THISBACK(Help));

#6 - 02/20/2015 01:47 PM - Miroslav Fidler

It might be a good idea, or not. It is not original intent of CtrlLib.iml. IME, I am rather using new icons for apps.

Anyway, is this really the critical bug for release?

#7 - 02/20/2015 02:08 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#8 - 02/20/2015 02:27 PM - Zbigniew Rebacz

- Status changed from Patch ready to Rejected

- Priority changed from High to Normal

I will reject that (To make backlog more clear at the moment).

#9 - 02/20/2015 02:28 PM - Zbigniew Rebacz

- Priority changed from Normal to Low

Files

Ctrl.iml 37.4 KB 02/18/2015 Zbigniew Rebacz
